<?php
$db = mysql_connect("localhost", "leerphp", "bla!vux6")
        or die("Kan niet verbinden: " . mysql_error());
mysql_select_db("leerphp", $db);
?>
<html>
<head>
	<title>Artikel toevoegen</title>
</head>

<body>
<?php
if ($_POST["knop"] && $_POST["naam"] && $_POST["omschrijving"] && $_POST["prijs"]) { // artikel ingevoerd?
$sql = "INSERT INTO Artikel (Naam, Omschrijving, Prijs) VALUES ('".$_POST["naam"]."', '".$_POST["omschrijving"]."', ".$_POST["prijs"].");";
if (!mysql_query($sql)) { // voer SQL code uit
echo "Toevoegen artikel mislukt!";
		exit;
} else {
$artikelid = mysql_insert_id(); // primaire sleutel van zojuist toegevoegde rij
$sql = "INSERT INTO Categorie_per_Artikel (ARTIKEL_ID, CATEGORIE_ID) VALUES ($artikelid, ".$_POST["categorieid"].")";
if (!mysql_query($sql)) { // voer SQL code uit
echo "Toevoegen categorie mislukt!";
		exit;
		}
}
echo "OK, uw artikel ".$_POST["naam"]." is toegevoegd.";	
} elseif ($_POST["knop"]) {
$sql = "INSERT INTO Categorie_per_Artikel (ARTIKEL_ID, CATEGORIE_ID) VALUES ($artikelid, ".$_POST["categorieid"].")";
if (!mysql_query($sql)) { // voer SQL code uit
echo "Toevoegen categorie mislukt!";
		exit;
}
echo "OK, uw artikel ".$_POST["naam"]." is toegevoegd.";	
}
if ($_POST["knop"]) {
?>

<form method="post" action="<?php echo $_SERVER["PHP_SELF"] ?>">
<input type="hidden" name="naam" value="<?php echo $_POST["naam"] ?>">
<input type="hidden" name="artikelid" value="<?php echo $artikelid ?>">

Voeg eventueel een extra categorie toe aan het artikel <b><?php echo $_POST["naam"] ?></b><br>
Selecteer een categorie: <select name="categorieid">
<?php
	$sql = "SELECT * FROM Categorie";
	$resultaat  = mysql_query($sql); // voer SQL code uit
	while ($rij = mysql_fetch_array($resultaat)) {
echo "<option value=\"";
echo $rij["CATEGORIE_ID"]."\">";
echo $rij["Naam"]."</option>\n";
	}

?>
</select><br>
<input type="submit" name="knop" value="toevoegen">
<?php

}  else {
?>

<form method="post" action="<?php echo $PHP_SELF ?>">
Selecteer een categorie: <select name="categorieid">
<?php
	$sql = "SELECT * FROM Categorie";
	$resultaat  = mysql_query($sql); // voer SQL code uit
	while ($rij = mysql_fetch_array($resultaat)) {
echo "<option value=\"";
echo $rij["CATEGORIE_ID"]."\">";
echo $rij["Naam"]."</option>\n";
	}
?>
</select><br>
Artikel naam: <input type="text" name="naam"><br>
Artikel omschrijving: <textarea name="omschrijving" cols="30" rows="4"></textarea><br>
Artikel prijs: <input type="text" name="prijs"><br>
<input type="submit" name="knop" value="toevoegen">
</form>
<?php 
  }
?>
</body>
</html>
<?php
mysql_close($db);
?>
